com.ibm.openpages.api.application

## Class TypeAssociationToHonor

- java.lang.Object
- - com.ibm.openpages.api.application.TypeAssociationToHonor

-     public class TypeAssociationToHonor
      extends java.lang.Object

  This class represents the Type Associations that need to be honored during the copy operation. This class enables the copy operation to look up the non-primary parent relationships from the descendants of source objects and associate the parent to corresponding copied object.

  Since:
    8.0.0.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeAssociationToHonor(Id parentTypeId, Id childTypeId)` Constructor to get the instance of TypeAssociationToHonor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Id` | `getChildTypeId()` Gets the child type Id of the TypeAssociationToHonor
    `Id` | `getParentTypeId()` Gets the non primary parent type Id of the TypeAssociationToHonor
    `void` | `setChildTypeId(Id childTypeId)` Sets the child type Id of the TypeAssociationToHonor
    `void` | `setParentTypeId(Id parentTypeId)` Sets the non primary parent type Id of the TypeAssociationToHonor

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeAssociationToHonor

          public TypeAssociationToHonor(Id parentTypeId,
                                        Id childTypeId)

      Constructor to get the instance of TypeAssociationToHonor
      Parameters:
        `parentTypeId` - - non primary parent type Id
        `childTypeId` - - child parent type Id

  - ### Method Detail

    - #### getParentTypeId

          public Id getParentTypeId()

      Gets the non primary parent type Id of the TypeAssociationToHonor
      Returns:
        non primary parent type Id

    - #### setParentTypeId

          public void setParentTypeId(Id parentTypeId)

      Sets the non primary parent type Id of the TypeAssociationToHonor
      Parameters:
        `parentTypeId` - non primary parent type Id

    - #### getChildTypeId

          public Id getChildTypeId()

      Gets the child type Id of the TypeAssociationToHonor
      Returns:
        child type Id

    - #### setChildTypeId

          public void setChildTypeId(Id childTypeId)

      Sets the child type Id of the TypeAssociationToHonor
      Parameters:
        `childTypeId` - child type Id

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.